# Class MenuKeyEvent

java.lang.Object
java.util.EventObject
java.awt.AWTEvent
java.awt.event.ComponentEvent
java.awt.event.InputEvent
java.awt.event.KeyEvent
javax.swing.event.MenuKeyEvent

All Implemented Interfaces:
  `Serializable`

public class MenuKeyEvent extends KeyEvent
MenuKeyEvent is used to notify interested parties that the menu element has received a KeyEvent forwarded to it in a menu tree.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

## Field Summary

### Fields declared in class KeyEvent

`CHAR_UNDEFINED, KEY_FIRST, KEY_LAST, KEY_LOCATION_LEFT, KEY_LOCATION_NUMPAD, KEY_LOCATION_RIGHT, KEY_LOCATION_STANDARD, KEY_LOCATION_UNKNOWN, KEY_PRESSED, KEY_RELEASED, KEY_TYPED, VK_0, VK_1, VK_2, VK_3, VK_4, VK_5, VK_6, VK_7, VK_8, VK_9, VK_A, VK_ACCEPT, VK_ADD, VK_AGAIN, VK_ALL_CANDIDATES, VK_ALPHANUMERIC, VK_ALT, VK_ALT_GRAPH, VK_AMPERSAND, VK_ASTERISK, VK_AT, VK_B, VK_BACK_QUOTE, VK_BACK_SLASH, VK_BACK_SPACE, VK_BEGIN, VK_BRACELEFT, VK_BRACERIGHT, VK_C, VK_CANCEL, VK_CAPS_LOCK, VK_CIRCUMFLEX, VK_CLEAR, VK_CLOSE_BRACKET, VK_CODE_INPUT, VK_COLON, VK_COMMA, VK_COMPOSE, VK_CONTEXT_MENU, VK_CONTROL, VK_CONVERT, VK_COPY, VK_CUT, VK_D, VK_DEAD_ABOVEDOT, VK_DEAD_ABOVERING, VK_DEAD_ACUTE, VK_DEAD_BREVE, VK_DEAD_CARON, VK_DEAD_CEDILLA, VK_DEAD_CIRCUMFLEX, VK_DEAD_DIAERESIS, VK_DEAD_DOUBLEACUTE, VK_DEAD_GRAVE, VK_DEAD_IOTA, VK_DEAD_MACRON, VK_DEAD_OGONEK, VK_DEAD_SEMIVOICED_SOUND, VK_DEAD_TILDE, VK_DEAD_VOICED_SOUND, VK_DECIMAL, VK_DELETE, VK_DIVIDE, VK_DOLLAR, VK_DOWN, VK_E, VK_END, VK_ENTER, VK_EQUALS, VK_ESCAPE, VK_EURO_SIGN, VK_EXCLAMATION_MARK, VK_F, VK_F1, VK_F10, VK_F11, VK_F12, VK_F13, VK_F14, VK_F15, VK_F16, VK_F17, VK_F18, VK_F19, VK_F2, VK_F20, VK_F21, VK_F22, VK_F23, VK_F24, VK_F3, VK_F4, VK_F5, VK_F6, VK_F7, VK_F8, VK_F9, VK_FINAL, VK_FIND, VK_FULL_WIDTH, VK_G, VK_GREATER, VK_H, VK_HALF_WIDTH, VK_HELP, VK_HIRAGANA, VK_HOME, VK_I, VK_INPUT_METHOD_ON_OFF, VK_INSERT, VK_INVERTED_EXCLAMATION_MARK, VK_J, VK_JAPANESE_HIRAGANA, VK_JAPANESE_KATAKANA, VK_JAPANESE_ROMAN, VK_K, VK_KANA, VK_KANA_LOCK, VK_KANJI, VK_KATAKANA, VK_KP_DOWN, VK_KP_LEFT, VK_KP_RIGHT, VK_KP_UP, VK_L, VK_LEFT, VK_LEFT_PARENTHESIS, VK_LESS, VK_M, VK_META, VK_MINUS, VK_MODECHANGE, VK_MULTIPLY, VK_N, VK_NONCONVERT, VK_NUM_LOCK, VK_NUMBER_SIGN, VK_NUMPAD0, VK_NUMPAD1, VK_NUMPAD2, VK_NUMPAD3, VK_NUMPAD4, VK_NUMPAD5, VK_NUMPAD6, VK_NUMPAD7, VK_NUMPAD8, VK_NUMPAD9, VK_O, VK_OPEN_BRACKET, VK_P, VK_PAGE_DOWN, VK_PAGE_UP, VK_PASTE, VK_PAUSE, VK_PERIOD, VK_PLUS, VK_PREVIOUS_CANDIDATE, VK_PRINTSCREEN, VK_PROPS, VK_Q, VK_QUOTE, VK_QUOTEDBL, VK_R, VK_RIGHT, VK_RIGHT_PARENTHESIS, VK_ROMAN_CHARACTERS, VK_S, VK_SCROLL_LOCK, VK_SEMICOLON, VK_SEPARATER, VK_SEPARATOR, VK_SHIFT, VK_SLASH, VK_SPACE, VK_STOP, VK_SUBTRACT, VK_T, VK_TAB, VK_U, VK_UNDEFINED, VK_UNDERSCORE, VK_UNDO, VK_UP, VK_V, VK_W, VK_WINDOWS, VK_X, VK_Y, VK_Z`
Modifier and Type
Field
Description
`static final char`
`CHAR_UNDEFINED`
KEY_PRESSED and KEY_RELEASED events which do not map to a valid Unicode character use this for the keyChar value.
`static final int`
`KEY_FIRST`
The first number in the range of ids used for key events.
`static final int`
`KEY_LAST`
The last number in the range of ids used for key events.
`static final int`
`KEY_LOCATION_LEFT`
A constant indicating that the key pressed or released is in the left key location (there is more than one possible location for this key).
`static final int`
`KEY_LOCATION_NUMPAD`
A constant indicating that the key event originated on the numeric keypad or with a virtual key corresponding to the numeric keypad.
`static final int`
`KEY_LOCATION_RIGHT`
A constant indicating that the key pressed or released is in the right key location (there is more than one possible location for this key).
`static final int`
`KEY_LOCATION_STANDARD`
A constant indicating that the key pressed or released is not distinguished as the left or right version of a key, and did not originate on the numeric keypad (or did not originate with a virtual key corresponding to the numeric keypad).
`static final int`
`KEY_LOCATION_UNKNOWN`
A constant indicating that the keyLocation is indeterminate or not relevant.
`static final int`
`KEY_PRESSED`
The "key pressed" event.
`static final int`
`KEY_RELEASED`
The "key released" event.
`static final int`
`KEY_TYPED`
The "key typed" event.
`static final int`
`VK_0`
Constant for the "0" key.
`static final int`
`VK_1`
Constant for the "1" key.
`static final int`
`VK_2`
Constant for the "2" key.
`static final int`
`VK_3`
Constant for the "3" key.
`static final int`
`VK_4`
Constant for the "4" key.
`static final int`
`VK_5`
Constant for the "5" key.
`static final int`
`VK_6`
Constant for the "6" key.
`static final int`
`VK_7`
Constant for the "7" key.
`static final int`
`VK_8`
Constant for the "8" key.
`static final int`
`VK_9`
Constant for the "9" key.
`static final int`
`VK_A`
Constant for the "A" key.
`static final int`
`VK_ACCEPT`
Constant for the Accept or Commit function key.
`static final int`
`VK_ADD`
Constant for the number pad add key.
`static final int`
`VK_AGAIN`
Constant for the Again key.
`static final int`
`VK_ALL_CANDIDATES`
Constant for the All Candidates function key.
`static final int`
`VK_ALPHANUMERIC`
Constant for the Alphanumeric function key.
`static final int`
`VK_ALT`
Constant for the ALT virtual key.
`static final int`
`VK_ALT_GRAPH`
Constant for the AltGraph function key.
`static final int`
`VK_AMPERSAND`
Constant for the "&" key.
`static final int`
`VK_ASTERISK`
Constant for the "*" key.
`static final int`
`VK_AT`
Constant for the "@" key.
`static final int`
`VK_B`
Constant for the "B" key.
`static final int`
`VK_BACK_QUOTE`
Constant for the BACK_QUOTE key.
`static final int`
`VK_BACK_SLASH`
Constant for the back slash key, "\"
`static final int`
`VK_BACK_SPACE`
Constant for the BACK_SPACE virtual key.
`static final int`
`VK_BEGIN`
Constant for the Begin key.
`static final int`
`VK_BRACELEFT`
Constant for the "{" key.
`static final int`
`VK_BRACERIGHT`
Constant for the "}" key.
`static final int`
`VK_C`
Constant for the "C" key.
`static final int`
`VK_CANCEL`
Constant for the CANCEL virtual key.
`static final int`
`VK_CAPS_LOCK`
Constant for the CAPS_LOCK virtual key.
`static final int`
`VK_CIRCUMFLEX`
Constant for the "^" key.
`static final int`
`VK_CLEAR`
Constant for the CLEAR virtual key.
`static final int`
`VK_CLOSE_BRACKET`
Constant for the close bracket key, "]"
`static final int`
`VK_CODE_INPUT`
Constant for the Code Input function key.
`static final int`
`VK_COLON`
Constant for the ":" key.
`static final int`
`VK_COMMA`
Constant for the comma key, ","
`static final int`
`VK_COMPOSE`
Constant for the Compose function key.
`static final int`
`VK_CONTEXT_MENU`
Constant for the Microsoft Windows Context Menu key.
`static final int`
`VK_CONTROL`
Constant for the CONTROL virtual key.
`static final int`
`VK_CONVERT`
Constant for the Convert function key.
`static final int`
`VK_COPY`
Constant for the Copy key.
`static final int`
`VK_CUT`
Constant for the Cut key.
`static final int`
`VK_D`
Constant for the "D" key.
`static final int`
`VK_DEAD_ABOVEDOT`
Constant for the Dead Above Dot key.
`static final int`
`VK_DEAD_ABOVERING`
Constant for the Dead Above Ring key.
`static final int`
`VK_DEAD_ACUTE`
Constant for the Dead Acute key.
`static final int`
`VK_DEAD_BREVE`
Constant for the Dead Breve key.
`static final int`
`VK_DEAD_CARON`
Constant for the Dead Caron key.
`static final int`
`VK_DEAD_CEDILLA`
Constant for the Dead Cedilla key.
`static final int`
`VK_DEAD_CIRCUMFLEX`
Constant for the Dead Circumflex key.
`static final int`
`VK_DEAD_DIAERESIS`
Constant for the Dead Diaeresis key.
`static final int`
`VK_DEAD_DOUBLEACUTE`
Constant for the Dead Double Acute key.
`static final int`
`VK_DEAD_GRAVE`
Constant for the Dead Grave key.
`static final int`
`VK_DEAD_IOTA`
Constant for the Dead Iota key.
`static final int`
`VK_DEAD_MACRON`
Constant for the Dead Macron key.
`static final int`
`VK_DEAD_OGONEK`
Constant for the Dead Ogonek key.
`static final int`
`VK_DEAD_SEMIVOICED_SOUND`
Constant for the Dead Semivoiced Sound key.
`static final int`
`VK_DEAD_TILDE`
Constant for the Dead Tilde key.
`static final int`
`VK_DEAD_VOICED_SOUND`
Constant for the Dead Voiced Sound key.
`static final int`
`VK_DECIMAL`
Constant for the number pad decimal point key.
`static final int`
`VK_DELETE`
Constant for the delete key.
`static final int`
`VK_DIVIDE`
Constant for the number pad divide key.
`static final int`
`VK_DOLLAR`
Constant for the "$" key.
`static final int`
`VK_DOWN`
Constant for the non-numpad down arrow key.
`static final int`
`VK_E`
Constant for the "E" key.
`static final int`
`VK_END`
Constant for the END virtual key.
`static final int`
`VK_ENTER`
Constant for the ENTER virtual key.
`static final int`
`VK_EQUALS`
Constant for the equals key, "="
`static final int`
`VK_ESCAPE`
Constant for the ESCAPE virtual key.
`static final int`
`VK_EURO_SIGN`
Constant for the Euro currency sign key.
`static final int`
`VK_EXCLAMATION_MARK`
Constant for the "!"
`static final int`
`VK_F`
Constant for the "F" key.
`static final int`
`VK_F1`
Constant for the F1 function key.
`static final int`
`VK_F10`
Constant for the F10 function key.
`static final int`
`VK_F11`
Constant for the F11 function key.
`static final int`
`VK_F12`
Constant for the F12 function key.
`static final int`
`VK_F13`
Constant for the F13 function key.
`static final int`
`VK_F14`
Constant for the F14 function key.
`static final int`
`VK_F15`
Constant for the F15 function key.
`static final int`
`VK_F16`
Constant for the F16 function key.
`static final int`
`VK_F17`
Constant for the F17 function key.
`static final int`
`VK_F18`
Constant for the F18 function key.
`static final int`
`VK_F19`
Constant for the F19 function key.
`static final int`
`VK_F2`
Constant for the F2 function key.
`static final int`
`VK_F20`
Constant for the F20 function key.
`static final int`
`VK_F21`
Constant for the F21 function key.
`static final int`
`VK_F22`
Constant for the F22 function key.
`static final int`
`VK_F23`
Constant for the F23 function key.
`static final int`
`VK_F24`
Constant for the F24 function key.
`static final int`
`VK_F3`
Constant for the F3 function key.
`static final int`
`VK_F4`
Constant for the F4 function key.
`static final int`
`VK_F5`
Constant for the F5 function key.
`static final int`
`VK_F6`
Constant for the F6 function key.
`static final int`
`VK_F7`
Constant for the F7 function key.
`static final int`
`VK_F8`
Constant for the F8 function key.
`static final int`
`VK_F9`
Constant for the F9 function key.
`static final int`
`VK_FINAL`
Constant for the FINAL key.
`static final int`
`VK_FIND`
Constant for the Find key.
`static final int`
`VK_FULL_WIDTH`
Constant for the Full-Width Characters function key.
`static final int`
`VK_G`
Constant for the "G" key.
`static final int`
`VK_GREATER`
Constant for the ">" key.
`static final int`
`VK_H`
Constant for the "H" key.
`static final int`
`VK_HALF_WIDTH`
Constant for the Half-Width Characters function key.
`static final int`
`VK_HELP`
Constant for the HELP key.
`static final int`
`VK_HIRAGANA`
Constant for the Hiragana function key.
`static final int`
`VK_HOME`
Constant for the HOME virtual key.
`static final int`
`VK_I`
Constant for the "I" key.
`static final int`
`VK_INPUT_METHOD_ON_OFF`
Constant for the input method on/off key.
`static final int`
`VK_INSERT`
Constant for the INSERT key.
`static final int`
`VK_INVERTED_EXCLAMATION_MARK`
Constant for the inverted exclamation mark key.
`static final int`
`VK_J`
Constant for the "J" key.
`static final int`
`VK_JAPANESE_HIRAGANA`
Constant for the Japanese-Hiragana function key.
`static final int`
`VK_JAPANESE_KATAKANA`
Constant for the Japanese-Katakana function key.
`static final int`
`VK_JAPANESE_ROMAN`
Constant for the Japanese-Roman function key.
`static final int`
`VK_K`
Constant for the "K" key.
`static final int`
`VK_KANA`
Constant for the KANA lock key.
`static final int`
`VK_KANA_LOCK`
Constant for the locking Kana function key.
`static final int`
`VK_KANJI`
Constant for KANJI.
`static final int`
`VK_KATAKANA`
Constant for the Katakana function key.
`static final int`
`VK_KP_DOWN`
Constant for the numeric keypad down arrow key.
`static final int`
`VK_KP_LEFT`
Constant for the numeric keypad left arrow key.
`static final int`
`VK_KP_RIGHT`
Constant for the numeric keypad right arrow key.
`static final int`
`VK_KP_UP`
Constant for the numeric keypad up arrow key.
`static final int`
`VK_L`
Constant for the "L" key.
`static final int`
`VK_LEFT`
Constant for the non-numpad left arrow key.
`static final int`
`VK_LEFT_PARENTHESIS`
Constant for the "(" key.
`static final int`
`VK_LESS`
Constant for the "<" key.
`static final int`
`VK_M`
Constant for the "M" key.
`static final int`
`VK_META`
Constant for the META key.
`static final int`
`VK_MINUS`
Constant for the minus key, "-"
`static final int`
`VK_MODECHANGE`
Constant for the MODECHANGE key.
`static final int`
`VK_MULTIPLY`
Constant for the number pad multiply key.
`static final int`
`VK_N`
Constant for the "N" key.
`static final int`
`VK_NONCONVERT`
Constant for the Don't Convert function key.
`static final int`
`VK_NUM_LOCK`
Constant for the NUM_LOCK key.
`static final int`
`VK_NUMBER_SIGN`
Constant for the "#" key.
`static final int`
`VK_NUMPAD0`
Constant for the number pad "0" key.
`static final int`
`VK_NUMPAD1`
Constant for the number pad "1" key.
`static final int`
`VK_NUMPAD2`
Constant for the number pad "2" key.
`static final int`
`VK_NUMPAD3`
Constant for the number pad "3" key.
`static final int`
`VK_NUMPAD4`
Constant for the number pad "4" key.
`static final int`
`VK_NUMPAD5`
Constant for the number pad "5" key.
`static final int`
`VK_NUMPAD6`
Constant for the number pad "6" key.
`static final int`
`VK_NUMPAD7`
Constant for the number pad "7" key.
`static final int`
`VK_NUMPAD8`
Constant for the number pad "8" key.
`static final int`
`VK_NUMPAD9`
Constant for the number pad "9" key.
`static final int`
`VK_O`
Constant for the "O" key.
`static final int`
`VK_OPEN_BRACKET`
Constant for the open bracket key, "["
`static final int`
`VK_P`
Constant for the "P" key.
`static final int`
`VK_PAGE_DOWN`
Constant for the PAGE_DOWN virtual key.
`static final int`
`VK_PAGE_UP`
Constant for the PAGE_UP virtual key.
`static final int`
`VK_PASTE`
Constant for the Paste key.
`static final int`
`VK_PAUSE`
Constant for the PAUSE virtual key.
`static final int`
`VK_PERIOD`
Constant for the period key, "."
`static final int`
`VK_PLUS`
Constant for the "+" key.
`static final int`
`VK_PREVIOUS_CANDIDATE`
Constant for the Previous Candidate function key.
`static final int`
`VK_PRINTSCREEN`
Constant for the PRINTSCREEN key.
`static final int`
`VK_PROPS`
Constant for the Props key.
`static final int`
`VK_Q`
Constant for the "Q" key.
`static final int`
`VK_QUOTE`
Constant for the QUOTE key.
`static final int`
`VK_QUOTEDBL`
Constant for the """" key.
`static final int`
`VK_R`
Constant for the "R" key.
`static final int`
`VK_RIGHT`
Constant for the non-numpad right arrow key.
`static final int`
`VK_RIGHT_PARENTHESIS`
Constant for the ")" key.
`static final int`
`VK_ROMAN_CHARACTERS`
Constant for the Roman Characters function key.
`static final int`
`VK_S`
Constant for the "S" key.
`static final int`
`VK_SCROLL_LOCK`
Constant for the SCROLL_LOCK key.
`static final int`
`VK_SEMICOLON`
Constant for the semicolon key, ";"
`static final int`
`VK_SEPARATER`
This constant is obsolete, and is included only for backwards compatibility.
`static final int`
`VK_SEPARATOR`
Constant for the Numpad Separator key.
`static final int`
`VK_SHIFT`
Constant for the SHIFT virtual key.
`static final int`
`VK_SLASH`
Constant for the forward slash key, "/"
`static final int`
`VK_SPACE`
Constant for the SPACE virtual key.
`static final int`
`VK_STOP`
Constant for the Stop key.
`static final int`
`VK_SUBTRACT`
Constant for the number pad subtract key.
`static final int`
`VK_T`
Constant for the "T" key.
`static final int`
`VK_TAB`
Constant for the TAB virtual key.
`static final int`
`VK_U`
Constant for the "U" key.
`static final int`
`VK_UNDEFINED`
This value is used to indicate that the keyCode is unknown.
`static final int`
`VK_UNDERSCORE`
Constant for the "_" key.
`static final int`
`VK_UNDO`
Constant for the Undo key.
`static final int`
`VK_UP`
Constant for the non-numpad up arrow key.
`static final int`
`VK_V`
Constant for the "V" key.
`static final int`
`VK_W`
Constant for the "W" key.
`static final int`
`VK_WINDOWS`
Constant for the Microsoft Windows "Windows" key.
`static final int`
`VK_X`
Constant for the "X" key.
`static final int`
`VK_Y`
Constant for the "Y" key.
`static final int`
`VK_Z`
Constant for the "Z" key.

### Fields declared in class InputEvent

`ALT_DOWN_MASK, ALT_GRAPH_DOWN_MASK, ALT_GRAPH_MASK, ALT_MASK, BUTTON1_DOWN_MASK, BUTTON1_MASK, BUTTON2_DOWN_MASK, BUTTON2_MASK, BUTTON3_DOWN_MASK, BUTTON3_MASK, CTRL_DOWN_MASK, CTRL_MASK, META_DOWN_MASK, META_MASK, SHIFT_DOWN_MASK, SHIFT_MASK`
Modifier and Type
Field
Description
`static final int`
`ALT_DOWN_MASK`
The Alt key extended modifier constant.
`static final int`
`ALT_GRAPH_DOWN_MASK`
The AltGraph key extended modifier constant.
`static final int`
`ALT_GRAPH_MASK`
Deprecated.
It is recommended that ALT_GRAPH_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead
`static final int`
`ALT_MASK`
Deprecated.
It is recommended that ALT_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead
`static final int`
`BUTTON1_DOWN_MASK`
The Mouse Button1 extended modifier constant.
`static final int`
`BUTTON1_MASK`
Deprecated.
It is recommended that BUTTON1_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead
`static final int`
`BUTTON2_DOWN_MASK`
The Mouse Button2 extended modifier constant.
`static final int`
`BUTTON2_MASK`
Deprecated.
It is recommended that BUTTON2_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead.
`static final int`
`BUTTON3_DOWN_MASK`
The Mouse Button3 extended modifier constant.
`static final int`
`BUTTON3_MASK`
Deprecated.
It is recommended that BUTTON3_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead.
`static final int`
`CTRL_DOWN_MASK`
The Control key extended modifier constant.
`static final int`
`CTRL_MASK`
Deprecated.
It is recommended that CTRL_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead
`static final int`
`META_DOWN_MASK`
The Meta key extended modifier constant.
`static final int`
`META_MASK`
Deprecated.
It is recommended that META_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead
`static final int`
`SHIFT_DOWN_MASK`
The Shift key extended modifier constant.
`static final int`
`SHIFT_MASK`
Deprecated.
It is recommended that SHIFT_DOWN_MASK and `InputEvent.getModifiersEx()` be used instead

### Fields declared in class ComponentEvent

`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`
Modifier and Type
Field
Description
`static final int`
`COMPONENT_FIRST`
The first number in the range of ids used for component events.
`static final int`
`COMPONENT_HIDDEN`
This event indicates that the component was rendered invisible.
`static final int`
`COMPONENT_LAST`
The last number in the range of ids used for component events.
`static final int`
`COMPONENT_MOVED`
This event indicates that the component's position changed.
`static final int`
`COMPONENT_RESIZED`
This event indicates that the component's size changed.
`static final int`
`COMPONENT_SHOWN`
This event indicates that the component was made visible.

### Fields declared in class AWTEvent

`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`
Modifier and Type
Field
Description
`static final long`
`ACTION_EVENT_MASK`
The event mask for selecting action events.
`static final long`
`ADJUSTMENT_EVENT_MASK`
The event mask for selecting adjustment events.
`static final long`
`COMPONENT_EVENT_MASK`
The event mask for selecting component events.
`protected boolean`
`consumed`
Controls whether or not the event is sent back down to the peer once the source has processed it - false means it's sent to the peer; true means it's not.
`static final long`
`CONTAINER_EVENT_MASK`
The event mask for selecting container events.
`static final long`
`FOCUS_EVENT_MASK`
The event mask for selecting focus events.
`static final long`
`HIERARCHY_BOUNDS_EVENT_MASK`
The event mask for selecting hierarchy bounds events.
`static final long`
`HIERARCHY_EVENT_MASK`
The event mask for selecting hierarchy events.
`protected int`
`id`
The event's id.
`static final long`
`INPUT_METHOD_EVENT_MASK`
The event mask for selecting input method events.
`static final long`
`INVOCATION_EVENT_MASK`
The event mask for selecting invocation events.
`static final long`
`ITEM_EVENT_MASK`
The event mask for selecting item events.
`static final long`
`KEY_EVENT_MASK`
The event mask for selecting key events.
`static final long`
`MOUSE_EVENT_MASK`
The event mask for selecting mouse events.
`static final long`
`MOUSE_MOTION_EVENT_MASK`
The event mask for selecting mouse motion events.
`static final long`
`MOUSE_WHEEL_EVENT_MASK`
The event mask for selecting mouse wheel events.
`static final long`
`PAINT_EVENT_MASK`
The event mask for selecting paint events.
`static final int`
`RESERVED_ID_MAX`
The maximum value for reserved AWT event IDs.
`static final long`
`TEXT_EVENT_MASK`
The event mask for selecting text events.
`static final long`
`WINDOW_EVENT_MASK`
The event mask for selecting window events.
`static final long`
`WINDOW_FOCUS_EVENT_MASK`
The event mask for selecting window focus events.
`static final long`
`WINDOW_STATE_EVENT_MASK`
The event mask for selecting window state events.

### Fields declared in class EventObject

`source`
Modifier and Type
Field
Description
`protected Object`
`source`
The object on which the Event initially occurred.

## Constructor Summary

Constructors
Constructor
Description
`MenuKeyEvent(Component source, int id, long when, int modifiers, int keyCode, char keyChar, MenuElement[] p, MenuSelectionManager m)`
Constructs a MenuKeyEvent object.

## Method Summary

Modifier and Type
Method
Description
`MenuSelectionManager`
`getMenuSelectionManager()`
Returns the current menu selection manager.
`MenuElement[]`
`getPath()`
Returns the path to the menu item referenced by this event.

### Methods declared in class KeyEvent

`getExtendedKeyCode, getExtendedKeyCodeForChar, getKeyChar, getKeyCode, getKeyLocation, getKeyModifiersText, getKeyText, isActionKey, paramString, setKeyChar, setKeyCode, setModifiers`
Modifier and Type
Method
Description
`int`
`getExtendedKeyCode()`
Returns an extended key code for the event.
`static int`
`getExtendedKeyCodeForChar(int c)`
Returns an extended key code for a unicode character.
`char`
`getKeyChar()`
Returns the character associated with the key in this event.
`int`
`getKeyCode()`
Returns the integer keyCode associated with the key in this event.
`int`
`getKeyLocation()`
Returns the location of the key that originated this key event.
`static String`
`getKeyModifiersText(int modifiers)`
Deprecated.
It is recommended that extended modifier keys and `InputEvent.getModifiersExText(int)` be used instead
`static String`
`getKeyText(int keyCode)`
Returns a String describing the keyCode, such as "HOME", "F1" or "A".
`boolean`
`isActionKey()`
Returns whether the key in this event is an "action" key.
`String`
`paramString()`
Returns a parameter string identifying this event.
`void`
`setKeyChar(char keyChar)`
Set the keyChar value to indicate a logical character.
`void`
`setKeyCode(int keyCode)`
Set the keyCode value to indicate a physical key.
`void`
`setModifiers(int modifiers)`
Deprecated.
as of JDK1.1.4

### Methods declared in class InputEvent

`consume, getMaskForButton, getModifiers, getModifiersEx, getModifiersExText, getWhen, isAltDown, isAltGraphDown, isConsumed, isControlDown, isMetaDown, isShiftDown`
Modifier and Type
Method
Description
`void`
`consume()`
Consumes this event so that it will not be processed in the default manner by the source which originated it.
`static int`
`getMaskForButton(int button)`
A method to obtain a mask for any existing mouse button.
`int`
`getModifiers()`
Deprecated.
It is recommended that extended modifier keys and `InputEvent.getModifiersEx()` be used instead
`int`
`getModifiersEx()`
Returns the extended modifier mask for this event.
`static String`
`getModifiersExText(int modifiers)`
Returns a String describing the extended modifier keys and mouse buttons, such as "Shift", "Button1", or "Ctrl+Shift".
`long`
`getWhen()`
Returns the difference in milliseconds between the timestamp of when this event occurred and midnight, January 1, 1970 UTC.
`boolean`
`isAltDown()`
Returns whether or not the Alt modifier is down on this event.
`boolean`
`isAltGraphDown()`
Returns whether or not the AltGraph modifier is down on this event.
`boolean`
`isConsumed()`
Returns whether or not this event has been consumed.
`boolean`
`isControlDown()`
Returns whether or not the Control modifier is down on this event.
`boolean`
`isMetaDown()`
Returns whether or not the Meta modifier is down on this event.
`boolean`
`isShiftDown()`
Returns whether or not the Shift modifier is down on this event.

### Methods declared in class ComponentEvent

`getComponent`
Modifier and Type
Method
Description
`Component`
`getComponent()`
Returns the originator of the event.

### Methods declared in class AWTEvent

`getID, setSource, toString`
Modifier and Type
Method
Description
`int`
`getID()`
Returns the event type.
`void`
`setSource(Object newSource)`
Retargets an event to a new source.
`String`
`toString()`
Returns a String representation of this object.

### Methods declared in class EventObject

`getSource`
Modifier and Type
Method
Description
`Object`
`getSource()`
The object on which the Event initially occurred.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### MenuKeyEvent

public MenuKeyEvent(Component source, int id, long when, int modifiers, int keyCode, char keyChar, MenuElement[] p, MenuSelectionManager m)
Constructs a MenuKeyEvent object.

Parameters:
  `source` - the Component that originated the event (typically `this`)
  `id` - an int specifying the type of event, as defined in `KeyEvent`
  `when` - a long identifying the time the event occurred
  `modifiers` - an int specifying any modifier keys held down, as specified in `InputEvent`
  `keyCode` - an int specifying the specific key that was pressed
  `keyChar` - a char specifying the key's character value, if any -- null if the key has no character value
  `p` - an array of MenuElement objects specifying a path to a menu item affected by the drag
  `m` - a MenuSelectionManager object that handles selections

## Method Details

### getPath

public MenuElement[] getPath()
Returns the path to the menu item referenced by this event.

Returns:
  an array of MenuElement objects representing the path value

### getMenuSelectionManager

public MenuSelectionManager getMenuSelectionManager()
Returns the current menu selection manager.

Returns:
  a MenuSelectionManager object